Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Slots | Public Member Functions | Protected Slots | Protected Attributes | Properties | Private Member Functions | List of all members
FilePicker Class Reference
Inheritance diagram for FilePicker:

## Public Types
enum | DialogType { DT_OPEN_FILE = OpenFlipper::Options::DT_OPEN, DT_SAVE_FILE = OpenFlipper::Options::DT_SAVE, DT_CHOOSE_PATH = OpenFlipper::Options::DT_CHOOSE_PATH }

## Public Slots
bool | confirm_overwrite_if_necessary ()

## Public Member Functions
| FilePicker (QWidget *parent=0)
| FilePicker (QString recent_files_ini_key, DialogType dialog_type, QWidget *parent=0)
QString | current_file_name ()
void | set_current_file_name (QString value)
QString | currentFileName ()
QString | recent_files_ini_key ()
void | set_recent_files_ini_key (QString value)
QString | dialog_title ()
void | set_dialog_title (QString value)
QString | file_filter ()
void | set_file_filter (QString value)
DialogType | dialog_type ()
void | set_dialog_type (DialogType value)
bool | overwrite_confirmed_by_user ()

## Protected Slots
void | slot_browse ()
void | path_changed ()

## Protected Attributes
QComboBox * | textBox_
QPushButton * | browseButton_
QString | recent_files_ini_key_
QString | dialog_title_
QString | file_filter_
DialogType | dialog_type_
bool | overwrite_confirmed_by_user_

## Properties
QString | recent_files_ini_key
QString | dialog_title
QString | file_filter
DialogType | dialog_type
QString | current_file_name

## Private Member Functions
void | init ()

## Detailed Description

Definition at line 68 of file FilePicker.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/filePicker/FilePicker.hh
- OpenFlipper/widgets/filePicker/FilePicker.cc